function init(hero) {

    hero.setName("Nightwing");

    hero.setVersion("Arkham");

    hero.setTier(3);

    

    hero.setHelmet("Mask");

    hero.setChestplate("Chestplate");

    hero.setLeggings("Pants");

    hero.setBoots("Boots");

    hero.addEquipment("fiskheroes:grappling_gun");

    

    hero.addAbilities("fiskheroes:utility_belt", "fiskheroes:leaping");

    hero.addAttribute("ATTACK_DAMAGE", 0.5, 1);

    hero.addAttribute("FALL_RESISTANCE", 5.0, 0);

    hero.addAttribute("JUMP_HEIGHT", 1.5, 0);

    hero.addAttribute("PUNCH_DAMAGE", 6.5, 0);

    hero.addAttribute("SPRINT_SPEED", 0.3, 1);

    

    hero.addKeyBind("UTILITY_SWITCH", "key.utilitySwitch", 1);

    hero.addKeyBind("UTILITY_RESET", "key.utilityReset", 2);

    

    hero.setHasPermission(hasPermission);

}



function hasPermission(entity, permission) {

    return permission == "USE_GRAPPLING_GUN";

}

